Bug 1793591 - use `ip=dhcp,dhcp6` by default on kernel command line
Summary: use `ip=dhcp,dhcp6` by default on kernel command line
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Jonathan Lebon
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks: 1793618
TreeView+ depends on / blocked
 
Reported: 2020-01-21 15:56 UTC by Micah Abbott
Modified: 2020-05-04 11:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, RHCOS defaulted to DHCPv4-only in the initramfs phase. Now, RHCOS tries both DHCPv4 and DHCPv6.
Clone Of:
: 1793618 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:25:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3062 0 None closed Bug 1793591: use `ip=dhcp,dhcp6` by default on kernel command line 2020-08-25 12:45:15 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:26:26 UTC

Description Micah Abbott 2020-01-21 15:56:36 UTC
In order to properly support the IPv6 requirement in OCP 4.4, RHCOS needs to be able to perform DHCPv4 and DHCPv6 in the initramfs to bootstrap the nodes.

Part of this is achieved via a newer build of `dracut` from BZ#1787620, however we need to change the default kernel command line in RHCOS artifacts to use `ip=dhcp,dhcp6` as well.


This will likely require a change to `coreos-assembler`, for example:

https://github.com/coreos/coreos-assembler/blob/master/src/create_disk.sh#L366


And possibly `ignition-dracut`, for example:

https://github.com/coreos/ignition-dracut/blob/spec2x/grub/02_ignition_firstboot#L13

Comment 1 Micah Abbott 2020-01-21 16:17:23 UTC
This might be achieved with a change to the `image.yaml` file that is consumed by `coreos-assembler` for RHCOS and a patch to `ignition-dracut`

Comment 6 Micah Abbott 2020-01-30 15:32:43 UTC
The RHCOS image (44.81.202001241431.0) currently pinned to the installer has the modifed kernel cmdline.

Moving to MODIFIED

Comment 15 Micah Abbott 2020-02-13 20:44:59 UTC
Latest 4.4 nightly:

$ oc image info --output json $(oc adm release info -a ~/openshift-cluster-installs/all-the-pull-secrets.json --image-for=machine-os-content registry.svc.ci.openshift.org/ocp/release:4.4.0-0.nightly-2020-02-13-124128) | jq .config.config.Labels.version
"44.81.202002131031-0"

Booted QEMU image with `coreos-assembler run -d`, interrupted the boot to inspect boot menu:

$ coreos-assembler run -d rhcos-44.81.202002131031-0-qemu.x86_64.qcow2


load_video                                           
set gfxpayload=keep                                  
insmod gzio                                          
linux ($root)/ostree/rhcos-b3173727610b9b7a6404336ae7d850e0a1e22537ac141bf42ce\
81abac998c3a5/vmlinuz-4.18.0-147.5.1.el8_1.x86_64 rhcos.root=crypt_rootfs cons\
ole=tty0 console=ttyS0,115200n8 ignition.platform.id=qemu rd.luks.options=disc\
ard ignition.firstboot rd.neednet=1 ip=dhcp,dhcp6 ostree=/ostree/boot.1/rhcos/\
b3173727610b9b7a6404336ae7d850e0a1e22537ac141bf42ce81abac998c3a5/0             
initrd ($root)/ostree/rhcos-b3173727610b9b7a6404336ae7d850e0a1e22537ac141bf42c\
e81abac998c3a5/initramfs-4.18.0-147.5.1.el8_1.x86_64.img     


Marking VERIFIED with 44.81.202002131031-0

Comment 17 errata-xmlrpc 2020-05-04 11:25:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.